Skip to main content
POST
/
v2
/
resumes
Upload a resume for parsing
curl --request POST \
  --url https://{region}.affinda.com/v2/resumes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file' \
  --form url=https://api.affinda.com/static/sample_resumes/example.docx \
  --form 'data={
  "name": {
    "raw": "Tim A. Smith",
    "first": "Tim",
    "last": "Smith",
    "middle": "A.",
    "title": "Dr"
  },
  "phoneNumbers": [
    "(704) 996-9966",
    "+61412632636"
  ],
  "phoneNumberDetails": [
    {
      "rawText": "+61412632636",
      "formattedNumber": "+61 412 632 636",
      "countryCode": "AU",
      "internationalCountryCode": 61,
      "nationalNumber": "0412 632 636"
    }
  ],
  "websites": [
    "www.timsmith.com"
  ],
  "emails": [
    "timsmith@vt.edu"
  ],
  "dateOfBirth": "1992-01-01",
  "location": {
    "rawInput": "Blacksburg, VA"
  },
  "objective": "",
  "languages": [
    "English",
    "French",
    "Arabic"
  ],
  "summary": "",
  "totalYearsExperience": 13,
  "education": [
    {
      "id": 2,
      "organization": "Virginia Polytechnic Institute and State University (Virginia Tech)",
      "accreditation": {
        "education": "Bachelor of Science"
      },
      "grade": {
        "raw": "GPA : 3.35",
        "metric": "GPA",
        "value": "3.35"
      },
      "location": {
        "rawInput": "Blacksburg, VA"
      },
      "dates": {
        "completionDate": "2021-05-01",
        "isCurrent": true,
        "startDate": "2019-05-01",
        "rawText": "May-Aug '\''18"
      }
    }
  ],
  "workExperience": [
    {
      "id": 2,
      "jobTitle": "Sales and retail assistants",
      "organization": "General Motors",
      "location": {
        "rawInput": "Blacksburg, VA"
      },
      "jobDescription": "Interned with supercar Development from May 2017 to August 2017.",
      "dates": {
        "startDate": "2018-05-01",
        "endDate": "2018-08-01",
        "monthsInPosition": 1,
        "isCurrent": true,
        "rawText": "May-Aug '\''18"
      }
    }
  ],
  "skills": [
    {
      "id": 2,
      "name": "Applied Mechanics",
      "lastUsed": "2012-01-01",
      "numberOfMonths": 12
    }
  ],
  "certifications": [
    "Certificate in AWS"
  ],
  "publications": [
    "Tim Smith et al., Investigations of nanoparticles in the pathology of the human eye, Cell 2014"
  ],
  "referees": [
    {
      "name": "Stephen Smith",
      "text": "Stephen Smith, Team Member/Mentor, Company Power Generation: stephen.smith@company.com",
      "email": "stephen.smith@company.com",
      "number": "+61490667215",
      "position": "Principal"
    }
  ],
  "rawText": "Christopher Nolan 3210 fake street '\''... <rest of resume text>'\''",
  "redactedText": "**** Objective: To obtain a job '\''... <rest of resume text>'\''"
}' \
  --form 'identifier=<string>' \
  --form 'customIdentifier=<string>' \
  --form fileName=Document.pdf \
  --form wait=true \
  --form rejectDuplicates=true \
  --form language=en \
  --form expiryTime=2023-11-07T05:31:56Z \
  --form 'regionBias={"country": "vn"}' \
  --form lowPriority=true
import requests

url = "https://{region}.affinda.com/v2/resumes"

files = { "file": ("example-file", open("example-file", "rb")) }
payload = {
"url": "https://api.affinda.com/static/sample_resumes/example.docx",
"data": "{
\"name\": {
\"raw\": \"Tim A. Smith\",
\"first\": \"Tim\",
\"last\": \"Smith\",
\"middle\": \"A.\",
\"title\": \"Dr\"
},
\"phoneNumbers\": [
\"(704) 996-9966\",
\"+61412632636\"
],
\"phoneNumberDetails\": [
{
\"rawText\": \"+61412632636\",
\"formattedNumber\": \"+61 412 632 636\",
\"countryCode\": \"AU\",
\"internationalCountryCode\": 61,
\"nationalNumber\": \"0412 632 636\"
}
],
\"websites\": [
\"www.timsmith.com\"
],
\"emails\": [
\"timsmith@vt.edu\"
],
\"dateOfBirth\": \"1992-01-01\",
\"location\": {
\"rawInput\": \"Blacksburg, VA\"
},
\"objective\": \"\",
\"languages\": [
\"English\",
\"French\",
\"Arabic\"
],
\"summary\": \"\",
\"totalYearsExperience\": 13,
\"education\": [
{
\"id\": 2,
\"organization\": \"Virginia Polytechnic Institute and State University (Virginia Tech)\",
\"accreditation\": {
\"education\": \"Bachelor of Science\"
},
\"grade\": {
\"raw\": \"GPA : 3.35\",
\"metric\": \"GPA\",
\"value\": \"3.35\"
},
\"location\": {
\"rawInput\": \"Blacksburg, VA\"
},
\"dates\": {
\"completionDate\": \"2021-05-01\",
\"isCurrent\": true,
\"startDate\": \"2019-05-01\",
\"rawText\": \"May-Aug '18\"
}
}
],
\"workExperience\": [
{
\"id\": 2,
\"jobTitle\": \"Sales and retail assistants\",
\"organization\": \"General Motors\",
\"location\": {
\"rawInput\": \"Blacksburg, VA\"
},
\"jobDescription\": \"Interned with supercar Development from May 2017 to August 2017.\",
\"dates\": {
\"startDate\": \"2018-05-01\",
\"endDate\": \"2018-08-01\",
\"monthsInPosition\": 1,
\"isCurrent\": true,
\"rawText\": \"May-Aug '18\"
}
}
],
\"skills\": [
{
\"id\": 2,
\"name\": \"Applied Mechanics\",
\"lastUsed\": \"2012-01-01\",
\"numberOfMonths\": 12
}
],
\"certifications\": [
\"Certificate in AWS\"
],
\"publications\": [
\"Tim Smith et al., Investigations of nanoparticles in the pathology of the human eye, Cell 2014\"
],
\"referees\": [
{
\"name\": \"Stephen Smith\",
\"text\": \"Stephen Smith, Team Member/Mentor, Company Power Generation: stephen.smith@company.com\",
\"email\": \"stephen.smith@company.com\",
\"number\": \"+61490667215\",
\"position\": \"Principal\"
}
],
\"rawText\": \"Christopher Nolan 3210 fake street '... <rest of resume text>'\",
\"redactedText\": \"**** Objective: To obtain a job '... <rest of resume text>'\"
}",
"identifier": "<string>",
"customIdentifier": "<string>",
"fileName": "Document.pdf",
"wait": "true",
"rejectDuplicates": "true",
"language": "en",
"expiryTime": "2023-11-07T05:31:56Z",
"regionBias": "{\"country\": \"vn\"}",
"lowPriority": "true"
}
headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, data=payload, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('file', '<string>');
form.append('url', 'https://api.affinda.com/static/sample_resumes/example.docx');
form.append('data', '{
"name": {
"raw": "Tim A. Smith",
"first": "Tim",
"last": "Smith",
"middle": "A.",
"title": "Dr"
},
"phoneNumbers": [
"(704) 996-9966",
"+61412632636"
],
"phoneNumberDetails": [
{
"rawText": "+61412632636",
"formattedNumber": "+61 412 632 636",
"countryCode": "AU",
"internationalCountryCode": 61,
"nationalNumber": "0412 632 636"
}
],
"websites": [
"www.timsmith.com"
],
"emails": [
"timsmith@vt.edu"
],
"dateOfBirth": "1992-01-01",
"location": {
"rawInput": "Blacksburg, VA"
},
"objective": "",
"languages": [
"English",
"French",
"Arabic"
],
"summary": "",
"totalYearsExperience": 13,
"education": [
{
"id": 2,
"organization": "Virginia Polytechnic Institute and State University (Virginia Tech)",
"accreditation": {
"education": "Bachelor of Science"
},
"grade": {
"raw": "GPA : 3.35",
"metric": "GPA",
"value": "3.35"
},
"location": {
"rawInput": "Blacksburg, VA"
},
"dates": {
"completionDate": "2021-05-01",
"isCurrent": true,
"startDate": "2019-05-01",
"rawText": "May-Aug '18"
}
}
],
"workExperience": [
{
"id": 2,
"jobTitle": "Sales and retail assistants",
"organization": "General Motors",
"location": {
"rawInput": "Blacksburg, VA"
},
"jobDescription": "Interned with supercar Development from May 2017 to August 2017.",
"dates": {
"startDate": "2018-05-01",
"endDate": "2018-08-01",
"monthsInPosition": 1,
"isCurrent": true,
"rawText": "May-Aug '18"
}
}
],
"skills": [
{
"id": 2,
"name": "Applied Mechanics",
"lastUsed": "2012-01-01",
"numberOfMonths": 12
}
],
"certifications": [
"Certificate in AWS"
],
"publications": [
"Tim Smith et al., Investigations of nanoparticles in the pathology of the human eye, Cell 2014"
],
"referees": [
{
"name": "Stephen Smith",
"text": "Stephen Smith, Team Member/Mentor, Company Power Generation: stephen.smith@company.com",
"email": "stephen.smith@company.com",
"number": "+61490667215",
"position": "Principal"
}
],
"rawText": "Christopher Nolan 3210 fake street '... <rest of resume text>'",
"redactedText": "**** Objective: To obtain a job '... <rest of resume text>'"
}');
form.append('identifier', '<string>');
form.append('customIdentifier', '<string>');
form.append('fileName', 'Document.pdf');
form.append('wait', 'true');
form.append('rejectDuplicates', 'true');
form.append('language', 'en');
form.append('expiryTime', '2023-11-07T05:31:56Z');
form.append('regionBias', '{"country": "vn"}');
form.append('lowPriority', 'true');

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

fetch('https://{region}.affinda.com/v2/resumes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "data": {
    "name": {
      "raw": "Tim A. Smith",
      "first": "Tim",
      "last": "Smith",
      "middle": "A.",
      "title": "Dr"
    },
    "phoneNumbers": [
      "(704) 996-9966",
      "+61412632636"
    ],
    "phoneNumberDetails": [
      {
        "rawText": "+61412632636",
        "formattedNumber": "+61 412 632 636",
        "countryCode": "AU",
        "internationalCountryCode": 61,
        "nationalNumber": "0412 632 636"
      }
    ],
    "websites": [
      "www.timsmith.com"
    ],
    "emails": [
      "timsmith@vt.edu"
    ],
    "dateOfBirth": "1992-01-01",
    "location": {
      "rawInput": "Blacksburg, VA",
      "formatted": "Blacksburg, VA, USA",
      "postalCode": "3124",
      "state": "Virginia",
      "stateCode": "TX",
      "country": "United States",
      "countryCode": "US",
      "streetNumber": "1",
      "street": "Smith St",
      "apartmentNumber": "12",
      "city": "Blacksburg",
      "latitude": "67.0124",
      "longitude": "67.0124",
      "poBox": "P.O. Box 123"
    },
    "objective": "",
    "languages": [
      "English",
      "French",
      "Arabic"
    ],
    "languageCodes": [
      "en",
      "fr",
      "ar"
    ],
    "summary": "",
    "totalYearsExperience": 13,
    "headShot": "aSDinaTvuI8gbWludGxpZnk=",
    "education": [
      {
        "id": 2,
        "organization": "Virginia Polytechnic Institute and State University (Virginia Tech)",
        "accreditation": {
          "education": "Bachelor of Science",
          "inputStr": "Bachelor of Science, Mechanical Engineering, expected",
          "matchStr": "Bachelor of Science",
          "educationLevel": "bachelors"
        },
        "grade": {
          "raw": "GPA : 3.35",
          "metric": "GPA",
          "value": "3.35"
        },
        "location": {
          "rawInput": "Blacksburg, VA",
          "formatted": "Blacksburg, VA, USA",
          "postalCode": "3124",
          "state": "Virginia",
          "stateCode": "TX",
          "country": "United States",
          "countryCode": "US",
          "streetNumber": "1",
          "street": "Smith St",
          "apartmentNumber": "12",
          "city": "Blacksburg",
          "latitude": "67.0124",
          "longitude": "67.0124",
          "poBox": "P.O. Box 123"
        },
        "dates": {
          "completionDate": "2021-05-01",
          "isCurrent": true,
          "startDate": "2019-05-01",
          "rawText": "May-Aug '18"
        }
      }
    ],
    "profession": "Software Developer",
    "linkedin": "https://www.linkedin.com/in/user-name",
    "workExperience": [
      {
        "id": 2,
        "jobTitle": "Sales and retail assistants",
        "socCode": "7111",
        "socName": "Sales and retail assistants",
        "organization": "General Motors",
        "industry": "Automotive",
        "location": {
          "rawInput": "Blacksburg, VA",
          "formatted": "Blacksburg, VA, USA",
          "postalCode": "3124",
          "state": "Virginia",
          "stateCode": "TX",
          "country": "United States",
          "countryCode": "US",
          "streetNumber": "1",
          "street": "Smith St",
          "apartmentNumber": "12",
          "city": "Blacksburg",
          "latitude": "67.0124",
          "longitude": "67.0124",
          "poBox": "P.O. Box 123"
        },
        "jobDescription": "Interned with supercar Development from May 2017 to August 2017.",
        "dates": {
          "startDate": "2018-05-01",
          "endDate": "2018-08-01",
          "monthsInPosition": 1,
          "isCurrent": true,
          "rawText": "May-Aug '18"
        },
        "occupation": {
          "jobTitle": "Sr. Software Developer",
          "jobTitleNormalized": "Software Developer",
          "emsiId": "ETE2AD3A1C11B4EC9B",
          "managementLevel": "Low",
          "classification": {
            "title": "Book-keepers, payroll managers and wages clerks",
            "minorGroup": "Administrative Occupations: Finance",
            "subMajorGroup": "ADMINISTRATIVE OCCUPATIONS",
            "majorGroup": "ADMINISTRATIVE AND SECRETARIAL OCCUPATIONS",
            "socCode": 4122,
            "minorGroupCode": 4122,
            "subMajorGroupCode": 4122,
            "majorGroupCode": 4122
          }
        }
      }
    ],
    "skills": [
      {
        "id": 2,
        "emsiId": "KS1218W78FGVPVP2KXPX",
        "name": "Applied Mechanics",
        "lastUsed": "2012-01-01",
        "numberOfMonths": 12,
        "type": "hard_skill",
        "count": 10,
        "weighting": 0.057699221573302296,
        "sources": [
          {
            "section": "WorkExperience",
            "position": 0,
            "workExperienceId": 1234
          }
        ]
      }
    ],
    "certifications": [
      "Certificate in AWS"
    ],
    "publications": [
      "Tim Smith et al., Investigations of nanoparticles in the pathology of the human eye, Cell 2014"
    ],
    "referees": [
      {
        "name": "Stephen Smith",
        "text": "Stephen Smith, Team Member/Mentor, Company Power Generation: stephen.smith@company.com",
        "email": "stephen.smith@company.com",
        "number": "+61490667215",
        "position": "Principal"
      }
    ],
    "sections": [
      {
        "sectionType": "PersonalDetails",
        "bbox": [
          0,
          36.392,
          612,
          111.056
        ],
        "pageIndex": 0,
        "text": "<All text from the {sectionType} section>"
      }
    ],
    "isResumeProbability": 98,
    "rawText": "Christopher Nolan 3210 fake street '... <rest of resume text>'",
    "redactedText": "**** Objective: To obtain a job '... <rest of resume text>'"
  },
  "meta": {
    "identifier": "<string>",
    "customIdentifier": "46ab8b02-0e5b-420c-877c-8b678d46a834",
    "fileName": "Document.pdf",
    "ready": true,
    "readyDt": "2020-12-10T01:43:32.276724Z",
    "failed": false,
    "expiryTime": "2023-11-07T05:31:56Z",
    "language": "en",
    "pdf": "https://affinda-api.s3.amazonaws.com/media/documents/Document.pdf?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062",
    "parentDocument": {
      "identifier": "<string>"
    },
    "childDocuments": [
      {
        "identifier": "<string>"
      }
    ],
    "pages": [
      {
        "id": 2,
        "pageIndex": 0,
        "image": "https://affinda-api.s3.amazonaws.com/media/pages/Page.png?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062",
        "height": 700,
        "width": 500,
        "rotation": 90,
        "imageTranslated": "https://affinda-api.s3.amazonaws.com/media/pages/PageTranslated.png?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062"
      }
    ],
    "isVerified": false,
    "reviewUrl": "https://app.affinda.com/review/XJ5kK123?signature=12345",
    "ocrConfidence": 0.97,
    "createdDt": "2023-11-07T05:31:56Z",
    "documentType": "resume",
    "regionBias": {
      "country": "<string>",
      "countries": [
        "<string>"
      ],
      "squareCoordinates": [
        123
      ],
      "strict": true
    },
    "isOcrd": true
  },
  "error": {
    "errorCode": "document_conversion_failed",
    "errorDetail": "Unable to convert word document"
  }
}
{
"data": {
"name": {
"raw": "Tim A. Smith",
"first": "Tim",
"last": "Smith",
"middle": "A.",
"title": "Dr"
},
"phoneNumbers": [
"(704) 996-9966",
"+61412632636"
],
"phoneNumberDetails": [
{
"rawText": "+61412632636",
"formattedNumber": "+61 412 632 636",
"countryCode": "AU",
"internationalCountryCode": 61,
"nationalNumber": "0412 632 636"
}
],
"websites": [
"www.timsmith.com"
],
"emails": [
"timsmith@vt.edu"
],
"dateOfBirth": "1992-01-01",
"location": {
"rawInput": "Blacksburg, VA",
"formatted": "Blacksburg, VA, USA",
"postalCode": "3124",
"state": "Virginia",
"stateCode": "TX",
"country": "United States",
"countryCode": "US",
"streetNumber": "1",
"street": "Smith St",
"apartmentNumber": "12",
"city": "Blacksburg",
"latitude": "67.0124",
"longitude": "67.0124",
"poBox": "P.O. Box 123"
},
"objective": "",
"languages": [
"English",
"French",
"Arabic"
],
"languageCodes": [
"en",
"fr",
"ar"
],
"summary": "",
"totalYearsExperience": 13,
"headShot": "aSDinaTvuI8gbWludGxpZnk=",
"education": [
{
"id": 2,
"organization": "Virginia Polytechnic Institute and State University (Virginia Tech)",
"accreditation": {
"education": "Bachelor of Science",
"inputStr": "Bachelor of Science, Mechanical Engineering, expected",
"matchStr": "Bachelor of Science",
"educationLevel": "bachelors"
},
"grade": {
"raw": "GPA : 3.35",
"metric": "GPA",
"value": "3.35"
},
"location": {
"rawInput": "Blacksburg, VA",
"formatted": "Blacksburg, VA, USA",
"postalCode": "3124",
"state": "Virginia",
"stateCode": "TX",
"country": "United States",
"countryCode": "US",
"streetNumber": "1",
"street": "Smith St",
"apartmentNumber": "12",
"city": "Blacksburg",
"latitude": "67.0124",
"longitude": "67.0124",
"poBox": "P.O. Box 123"
},
"dates": {
"completionDate": "2021-05-01",
"isCurrent": true,
"startDate": "2019-05-01",
"rawText": "May-Aug '18"
}
}
],
"profession": "Software Developer",
"linkedin": "https://www.linkedin.com/in/user-name",
"workExperience": [
{
"id": 2,
"jobTitle": "Sales and retail assistants",
"socCode": "7111",
"socName": "Sales and retail assistants",
"organization": "General Motors",
"industry": "Automotive",
"location": {
"rawInput": "Blacksburg, VA",
"formatted": "Blacksburg, VA, USA",
"postalCode": "3124",
"state": "Virginia",
"stateCode": "TX",
"country": "United States",
"countryCode": "US",
"streetNumber": "1",
"street": "Smith St",
"apartmentNumber": "12",
"city": "Blacksburg",
"latitude": "67.0124",
"longitude": "67.0124",
"poBox": "P.O. Box 123"
},
"jobDescription": "Interned with supercar Development from May 2017 to August 2017.",
"dates": {
"startDate": "2018-05-01",
"endDate": "2018-08-01",
"monthsInPosition": 1,
"isCurrent": true,
"rawText": "May-Aug '18"
},
"occupation": {
"jobTitle": "Sr. Software Developer",
"jobTitleNormalized": "Software Developer",
"emsiId": "ETE2AD3A1C11B4EC9B",
"managementLevel": "Low",
"classification": {
"title": "Book-keepers, payroll managers and wages clerks",
"minorGroup": "Administrative Occupations: Finance",
"subMajorGroup": "ADMINISTRATIVE OCCUPATIONS",
"majorGroup": "ADMINISTRATIVE AND SECRETARIAL OCCUPATIONS",
"socCode": 4122,
"minorGroupCode": 4122,
"subMajorGroupCode": 4122,
"majorGroupCode": 4122
}
}
}
],
"skills": [
{
"id": 2,
"emsiId": "KS1218W78FGVPVP2KXPX",
"name": "Applied Mechanics",
"lastUsed": "2012-01-01",
"numberOfMonths": 12,
"type": "hard_skill",
"count": 10,
"weighting": 0.057699221573302296,
"sources": [
{
"section": "WorkExperience",
"position": 0,
"workExperienceId": 1234
}
]
}
],
"certifications": [
"Certificate in AWS"
],
"publications": [
"Tim Smith et al., Investigations of nanoparticles in the pathology of the human eye, Cell 2014"
],
"referees": [
{
"name": "Stephen Smith",
"text": "Stephen Smith, Team Member/Mentor, Company Power Generation: stephen.smith@company.com",
"email": "stephen.smith@company.com",
"number": "+61490667215",
"position": "Principal"
}
],
"sections": [
{
"sectionType": "PersonalDetails",
"bbox": [
0,
36.392,
612,
111.056
],
"pageIndex": 0,
"text": "<All text from the {sectionType} section>"
}
],
"isResumeProbability": 98,
"rawText": "Christopher Nolan 3210 fake street '... <rest of resume text>'",
"redactedText": "**** Objective: To obtain a job '... <rest of resume text>'"
},
"meta": {
"identifier": "<string>",
"customIdentifier": "46ab8b02-0e5b-420c-877c-8b678d46a834",
"fileName": "Document.pdf",
"ready": true,
"readyDt": "2020-12-10T01:43:32.276724Z",
"failed": false,
"expiryTime": "2023-11-07T05:31:56Z",
"language": "en",
"pdf": "https://affinda-api.s3.amazonaws.com/media/documents/Document.pdf?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062",
"parentDocument": {
"identifier": "<string>"
},
"childDocuments": [
{
"identifier": "<string>"
}
],
"pages": [
{
"id": 2,
"pageIndex": 0,
"image": "https://affinda-api.s3.amazonaws.com/media/pages/Page.png?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062",
"height": 700,
"width": 500,
"rotation": 90,
"imageTranslated": "https://affinda-api.s3.amazonaws.com/media/pages/PageTranslated.png?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062"
}
],
"isVerified": false,
"reviewUrl": "https://app.affinda.com/review/XJ5kK123?signature=12345",
"ocrConfidence": 0.97,
"createdDt": "2023-11-07T05:31:56Z",
"documentType": "resume",
"regionBias": {
"country": "<string>",
"countries": [
"<string>"
],
"squareCoordinates": [
123
],
"strict": true
},
"isOcrd": true
},
"error": {
"errorCode": "document_conversion_failed",
"errorDetail": "Unable to convert word document"
}
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}
{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}

Authorizations

Authorization
string
header
required

Basic authentication using an API key, e.g. {Authorization: Bearer 75z0bb4fbdf97b7e4111ff6c0015471094155f91}. You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.

Body

multipart/form-data

Resume to upload, either via file upload or URL to a file

file
file

File as binary data blob. Supported formats: PDF, DOC, DOCX, TXT, RTF, HTML, PNG, JPG, TIFF, ODT, XLS, XLSX

url
string | null

URL to download the resume.

Example:

"https://api.affinda.com/static/sample_resumes/example.docx"

data
object | null

A JSON-encoded string of the ResumeData object.

identifier
string
deprecated

Deprecated in favor of customIdentifier.

customIdentifier
string

Specify a custom identifier for the document if you need one, not required to be unique.

fileName
string | null

Optional filename of the file

Example:

"Document.pdf"

wait
boolean
default:true

If "true" (default), will return a response only after processing has completed. If "false", will return an empty data object which can be polled at the GET endpoint until processing is complete.

Example:

true

rejectDuplicates
boolean | null

If "true", parsing will fail when the uploaded document is duplicate of an existing document, no credits will be consumed. If "false", will parse the document normally whether its a duplicate or not. If not provided, will fallback to the workspace settings.

Example:

true

language
string | null

Language code in ISO 639-1 format. Must specify zh-cn or zh-tw for Chinese.

Example:

"en"

expiryTime
string<date-time> | null

The date/time in ISO-8601 format when the document will be automatically deleted. Defaults to no expiry.

regionBias
string

A JSON representation of the RegionBias object.

Example:

"{\"country\": \"vn\"}"

lowPriority
boolean

Explicitly mark this document as low priority.

Example:

true

Response

Only returned when wait=True, will return the created resume

data
object | null
required

A JSON-encoded string of the ResumeData object.

meta
object
required
error
object
required